/*******************************************************************************
 * Copyright (c) 2012 BestSolution.at and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Tom Schindl<tom.schindl@bestsolution.at> - initial API and implementation
 *******************************************************************************/
package org.eclipse.fx.formats.svg.svg;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.fx.formats.svg.svg.SvgPackage
 * @generated
 */
public interface SvgFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	SvgFactory eINSTANCE = org.eclipse.fx.formats.svg.svg.impl.SvgFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>Animation Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Animation Element</em>'.
	 * @generated
	 */
	AnimationElement createAnimationElement();

	/**
	 * Returns a new object of class '<em>ENUMS </em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ENUMS </em>'.
	 * @generated
	 */
	____ENUMS____ create____ENUMS____();

	/**
	 * Returns a new object of class '<em>DATATYPES </em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DATATYPES </em>'.
	 * @generated
	 */
	____DATATYPES____ create____DATATYPES____();

	/**
	 * Returns a new object of class '<em>ATTRIBUTES </em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ATTRIBUTES </em>'.
	 * @generated
	 */
	____ATTRIBUTES____ create____ATTRIBUTES____();

	/**
	 * Returns a new object of class '<em>ELEMENTES </em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ELEMENTES </em>'.
	 * @generated
	 */
	____ELEMENTES____ create____ELEMENTES____();

	/**
	 * Returns a new object of class '<em>Svg Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Svg Element</em>'.
	 * @generated
	 */
	SvgSvgElement createSvgSvgElement();

	/**
	 * Returns a new object of class '<em>GElement</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>GElement</em>'.
	 * @generated
	 */
	SvgGElement createSvgGElement();

	/**
	 * Returns a new object of class '<em>Defs Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Defs Element</em>'.
	 * @generated
	 */
	SvgDefsElement createSvgDefsElement();

	/**
	 * Returns a new object of class '<em>Desc Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Desc Element</em>'.
	 * @generated
	 */
	SvgDescElement createSvgDescElement();

	/**
	 * Returns a new object of class '<em>Title Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Title Element</em>'.
	 * @generated
	 */
	SvgTitleElement createSvgTitleElement();

	/**
	 * Returns a new object of class '<em>Symbol Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Symbol Element</em>'.
	 * @generated
	 */
	SvgSymbolElement createSvgSymbolElement();

	/**
	 * Returns a new object of class '<em>Use Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Use Element</em>'.
	 * @generated
	 */
	SvgUseElement createSvgUseElement();

	/**
	 * Returns a new object of class '<em>Image Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Image Element</em>'.
	 * @generated
	 */
	SvgImageElement createSvgImageElement();

	/**
	 * Returns a new object of class '<em>Switch Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Switch Element</em>'.
	 * @generated
	 */
	SvgSwitchElement createSvgSwitchElement();

	/**
	 * Returns a new object of class '<em>Path Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Path Element</em>'.
	 * @generated
	 */
	SvgPathElement createSvgPathElement();

	/**
	 * Returns a new object of class '<em>Rect Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Rect Element</em>'.
	 * @generated
	 */
	SvgRectElement createSvgRectElement();

	/**
	 * Returns a new object of class '<em>Circle Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Circle Element</em>'.
	 * @generated
	 */
	SvgCircleElement createSvgCircleElement();

	/**
	 * Returns a new object of class '<em>Ellipse Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Ellipse Element</em>'.
	 * @generated
	 */
	SvgEllipseElement createSvgEllipseElement();

	/**
	 * Returns a new object of class '<em>Line Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Line Element</em>'.
	 * @generated
	 */
	SvgLineElement createSvgLineElement();

	/**
	 * Returns a new object of class '<em>Polyline Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Polyline Element</em>'.
	 * @generated
	 */
	SvgPolylineElement createSvgPolylineElement();

	/**
	 * Returns a new object of class '<em>Polygon Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Polygon Element</em>'.
	 * @generated
	 */
	SvgPolygonElement createSvgPolygonElement();

	/**
	 * Returns a new object of class '<em>Text Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Text Element</em>'.
	 * @generated
	 */
	SvgTextElement createSvgTextElement();

	/**
	 * Returns a new object of class '<em>Tspan Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Tspan Element</em>'.
	 * @generated
	 */
	SvgTspanElement createSvgTspanElement();

	/**
	 * Returns a new object of class '<em>Tref Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Tref Element</em>'.
	 * @generated
	 */
	SvgTrefElement createSvgTrefElement();

	/**
	 * Returns a new object of class '<em>Text Path Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Text Path Element</em>'.
	 * @generated
	 */
	SvgTextPathElement createSvgTextPathElement();

	/**
	 * Returns a new object of class '<em>Alt Glyph Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Alt Glyph Element</em>'.
	 * @generated
	 */
	SvgAltGlyphElement createSvgAltGlyphElement();

	/**
	 * Returns a new object of class '<em>Alt Glyph Def Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Alt Glyph Def Element</em>'.
	 * @generated
	 */
	SvgAltGlyphDefElement createSvgAltGlyphDefElement();

	/**
	 * Returns a new object of class '<em>Alt Glyph Item Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Alt Glyph Item Element</em>'.
	 * @generated
	 */
	SvgAltGlyphItemElement createSvgAltGlyphItemElement();

	/**
	 * Returns a new object of class '<em>Alt Glyph Ref Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Alt Glyph Ref Element</em>'.
	 * @generated
	 */
	SvgAltGlyphRefElement createSvgAltGlyphRefElement();

	/**
	 * Returns a new object of class '<em>Marker Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Marker Element</em>'.
	 * @generated
	 */
	SvgMarkerElement createSvgMarkerElement();

	/**
	 * Returns a new object of class '<em>Color Profile Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Color Profile Element</em>'.
	 * @generated
	 */
	SvgColorProfileElement createSvgColorProfileElement();

	/**
	 * Returns a new object of class '<em>Linear Gradient Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Linear Gradient Element</em>'.
	 * @generated
	 */
	SvgLinearGradientElement createSvgLinearGradientElement();

	/**
	 * Returns a new object of class '<em>Radial Gradient Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Radial Gradient Element</em>'.
	 * @generated
	 */
	SvgRadialGradientElement createSvgRadialGradientElement();

	/**
	 * Returns a new object of class '<em>Stop Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Stop Element</em>'.
	 * @generated
	 */
	SvgStopElement createSvgStopElement();

	/**
	 * Returns a new object of class '<em>Pattern Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Pattern Element</em>'.
	 * @generated
	 */
	SvgPatternElement createSvgPatternElement();

	/**
	 * Returns a new object of class '<em>Clip Path Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Clip Path Element</em>'.
	 * @generated
	 */
	SvgClipPathElement createSvgClipPathElement();

	/**
	 * Returns a new object of class '<em>Mask Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Mask Element</em>'.
	 * @generated
	 */
	SvgMaskElement createSvgMaskElement();

	/**
	 * Returns a new object of class '<em>Filter Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Filter Element</em>'.
	 * @generated
	 */
	SvgFilterElement createSvgFilterElement();

	/**
	 * Returns a new object of class '<em>Fe Distant Light Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Distant Light Element</em>'.
	 * @generated
	 */
	SvgFeDistantLightElement createSvgFeDistantLightElement();

	/**
	 * Returns a new object of class '<em>Fe Point Light Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Point Light Element</em>'.
	 * @generated
	 */
	SvgFePointLightElement createSvgFePointLightElement();

	/**
	 * Returns a new object of class '<em>Fe Spot Light Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Spot Light Element</em>'.
	 * @generated
	 */
	SvgFeSpotLightElement createSvgFeSpotLightElement();

	/**
	 * Returns a new object of class '<em>Fe Blend Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Blend Element</em>'.
	 * @generated
	 */
	SvgFeBlendElement createSvgFeBlendElement();

	/**
	 * Returns a new object of class '<em>Fe Color Matrix Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Color Matrix Element</em>'.
	 * @generated
	 */
	SvgFeColorMatrixElement createSvgFeColorMatrixElement();

	/**
	 * Returns a new object of class '<em>Fe Component Transfer Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Component Transfer Element</em>'.
	 * @generated
	 */
	SvgFeComponentTransferElement createSvgFeComponentTransferElement();

	/**
	 * Returns a new object of class '<em>Fe Func RElement</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Func RElement</em>'.
	 * @generated
	 */
	SvgFeFuncRElement createSvgFeFuncRElement();

	/**
	 * Returns a new object of class '<em>Fe Func GElement</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Func GElement</em>'.
	 * @generated
	 */
	SvgFeFuncGElement createSvgFeFuncGElement();

	/**
	 * Returns a new object of class '<em>Fe Func BElement</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Func BElement</em>'.
	 * @generated
	 */
	SvgFeFuncBElement createSvgFeFuncBElement();

	/**
	 * Returns a new object of class '<em>Fe Func AElement</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Func AElement</em>'.
	 * @generated
	 */
	SvgFeFuncAElement createSvgFeFuncAElement();

	/**
	 * Returns a new object of class '<em>Fe Composite Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Composite Element</em>'.
	 * @generated
	 */
	SvgFeCompositeElement createSvgFeCompositeElement();

	/**
	 * Returns a new object of class '<em>Fe Convolve Matrix Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Convolve Matrix Element</em>'.
	 * @generated
	 */
	SvgFeConvolveMatrixElement createSvgFeConvolveMatrixElement();

	/**
	 * Returns a new object of class '<em>Fe Diffuse Lighting Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Diffuse Lighting Element</em>'.
	 * @generated
	 */
	SvgFeDiffuseLightingElement createSvgFeDiffuseLightingElement();

	/**
	 * Returns a new object of class '<em>Fe Displacement Map Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Displacement Map Element</em>'.
	 * @generated
	 */
	SvgFeDisplacementMapElement createSvgFeDisplacementMapElement();

	/**
	 * Returns a new object of class '<em>Fe Flood Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Flood Element</em>'.
	 * @generated
	 */
	SvgFeFloodElement createSvgFeFloodElement();

	/**
	 * Returns a new object of class '<em>Fe Gaussian Blur Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Gaussian Blur Element</em>'.
	 * @generated
	 */
	SvgFeGaussianBlurElement createSvgFeGaussianBlurElement();

	/**
	 * Returns a new object of class '<em>Fe Image Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Image Element</em>'.
	 * @generated
	 */
	SvgFeImageElement createSvgFeImageElement();

	/**
	 * Returns a new object of class '<em>Fe Merge Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Merge Element</em>'.
	 * @generated
	 */
	SvgFeMergeElement createSvgFeMergeElement();

	/**
	 * Returns a new object of class '<em>Fe Merge Node Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Merge Node Element</em>'.
	 * @generated
	 */
	SvgFeMergeNodeElement createSvgFeMergeNodeElement();

	/**
	 * Returns a new object of class '<em>Fe Morphology Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Morphology Element</em>'.
	 * @generated
	 */
	SvgFeMorphologyElement createSvgFeMorphologyElement();

	/**
	 * Returns a new object of class '<em>Fe Offset Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Offset Element</em>'.
	 * @generated
	 */
	SvgFeOffsetElement createSvgFeOffsetElement();

	/**
	 * Returns a new object of class '<em>Fe Specular Lighting Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Specular Lighting Element</em>'.
	 * @generated
	 */
	SvgFeSpecularLightingElement createSvgFeSpecularLightingElement();

	/**
	 * Returns a new object of class '<em>Fe Tile Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Tile Element</em>'.
	 * @generated
	 */
	SvgFeTileElement createSvgFeTileElement();

	/**
	 * Returns a new object of class '<em>Fe Turbulence Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fe Turbulence Element</em>'.
	 * @generated
	 */
	SvgFeTurbulenceElement createSvgFeTurbulenceElement();

	/**
	 * Returns a new object of class '<em>Animate Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Animate Element</em>'.
	 * @generated
	 */
	SvgAnimateElement createSvgAnimateElement();

	/**
	 * Returns a new object of class '<em>Metadata Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Metadata Element</em>'.
	 * @generated
	 */
	SvgMetadataElement createSvgMetadataElement();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	SvgPackage getSvgPackage();

} //SvgFactory
